Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Bundle/EzPublishCoreBundle/View/Manager.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Bundle\EzPublishCoreBundle\View;
8
9 use eZ\Publish\Core\MVC\Symfony\SiteAccess\SiteAccessAware;
10 use eZ\Publish\Core\MVC\Symfony\SiteAccess;
11 use eZ\Publish\Core\MVC\Symfony\View\Manager as BaseManager;
12
13 class Manager extends BaseManager implements SiteAccessAware
14 {
22 public function setSiteAccess(SiteAccess $siteAccess = null)
23 {
24 if ($this->logger) {
25 $this->logger->debug('Changing SiteAccess in view providers');
26 }
27
28 $providers = array_merge(
29 $this->getAllLocationViewProviders(),
30 $this->getAllContentViewProviders(),
31 $this->getAllBlockViewProviders()
32 );
33 foreach ($providers as $provider) {
34 if ($provider instanceof SiteAccessAware) {
35 $provider->setSiteAccess($siteAccess);
36 }
37 }
38 }
39 }
eZ\Bundle\EzPublishCoreBundle\View\Manager
Definition: Bundle/EzPublishCoreBundle/View/Manager.php:14
eZ\Bundle\EzPublishCoreBundle\View\Manager\setSiteAccess
setSiteAccess(SiteAccess $siteAccess=null)
Changes SiteAccess.
Definition: Bundle/EzPublishCoreBundle/View/Manager.php:22
eZ\Publish\Core\MVC\Symfony\SiteAccess
Base struct for a siteaccess representation.
Definition: SiteAccess.php:16
eZ\Publish\Core\MVC\Symfony\View\Manager
Definition: Publish/Core/MVC/Symfony/View/Manager.php:22
eZ\Publish\Core\MVC\Symfony\View\Manager\getAllContentViewProviders
getAllContentViewProviders()
Definition: Publish/Core/MVC/Symfony/View/Manager.php:153
eZ\Publish\Core\MVC\Symfony\View\Manager\getAllLocationViewProviders
getAllLocationViewProviders()
Definition: Publish/Core/MVC/Symfony/View/Manager.php:165
eZ\Publish\Core\MVC\Symfony\View\Manager\getAllBlockViewProviders
getAllBlockViewProviders()
Definition: Publish/Core/MVC/Symfony/View/Manager.php:177
eZ\Publish\Core\MVC\Symfony\SiteAccess\SiteAccessAware
Interface for SiteAccess aware services.
Definition: SiteAccessAware.php:15
eZ\Bundle\EzPublishCoreBundle\View
Definition: Bundle/EzPublishCoreBundle/View/Manager.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.